# hio_html_internal

## Types

| Vector

## Type Aliases

std::array< float, 16 > | `Matrix`
std::array< float, 4 > | `RGBAColor`
std::array< float, 3 > | `RGBColor`
std::array< float, 3 > | `Point`
std::vector< std::string > | `StringArray`
std::vector< Matrix > | `MatrixArray`
std::vector< HC_KEY > | `KeyArray`
std::vector< float > | `FloatArray`
std::vector< int > | `IntArray`
std::vector< Point > | `PointArray`
std::vector< RGBColor > | `RGBColorArray`
std::vector< RGBAColor > | `RGBAColorArray`
std::vector< Vector > | `VectorArray`

## Functions

uint32_t | `extract_uint32_t`
bool | `float_match`
Vector | `operator*`

## Detailed Description

namespace hio_html_internal

## Type Alias Documentation

using hio_html_internal::Matrix = std::array<float, 16>

using hio_html_internal::RGBAColor = std::array<float, 4>

using hio_html_internal::RGBColor = std::array<float, 3>

using hio_html_internal::Point = std::array<float, 3>

using hio_html_internal::StringArray = std::vector<std::string>

using hio_html_internal::MatrixArray = std::vector<Matrix>

using hio_html_internal::KeyArray = std::vector<HC_KEY>

using hio_html_internal::FloatArray = std::vector<float>

using hio_html_internal::IntArray = std::vector<int>

using hio_html_internal::PointArray = std::vector<Point>

using hio_html_internal::RGBColorArray = std::vector<RGBColor>

using hio_html_internal::RGBAColorArray = std::vector<RGBAColor>

using hio_html_internal::VectorArray = std::vector<Vector>

## Function Documentation

static inline uint32_t hio_html_internal::extract_uint32_t(float const &a)

static inline bool hio_html_internal::float_match(float const &a, float const &b)

Warning

doxygenfunction: Unable to resolve function “operator*” with arguments None in doxygen xml output for project “hio” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/hio/xml. Potential matches:

    - Vector const operator*(float s) const
    - Vector operator*(float s, Vector const &v)